import { AfterContentInit, AfterViewInit, ElementRef, OnInit, QueryList, Renderer2 } from "@angular/core";
export declare class QMSListLeadingIcon {
}
export declare class QMSListLine {
    private elRef;
    private renderer;
    constructor(elRef: ElementRef, renderer: Renderer2);
    size: string;
    type: string;
    color: string;
    ngOnInit(): void;
}
export declare class QMSListHeader {
}
export declare class QMSListExpansion implements AfterContentInit {
    private elRef;
    private renderer;
    _lines: QueryList<QMSListLine>;
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
}
export declare class QMSListExpansionHeader implements AfterContentInit {
    private elRef;
    private renderer;
    _lines: QueryList<QMSListLine>;
    constructor(elRef: ElementRef, renderer: Renderer2);
    onClick($event: any): void;
    ngAfterContentInit(): void;
}
export declare class QMSList implements OnInit {
    private elRef;
    constructor(elRef: ElementRef);
    ngOnInit(): void;
}
export declare class QMSListItem implements AfterViewInit {
    private elRef;
    private renderer;
    type: string;
    get disabled(): boolean;
    set disabled(value: boolean);
    private _disabled;
    _lines: QueryList<QMSListLine>;
    constructor(elRef: ElementRef<HTMLElement>, renderer: Renderer2);
    ngAfterViewInit(): void;
}
